## ICalTrigger

ICalTrigger

## Functions

ICalTrigger * | i_cal_trigger_new_from_int ()
ICalTrigger * | i_cal_trigger_new_from_string ()
gboolean | i_cal_trigger_is_null_trigger ()
gboolean | i_cal_trigger_is_bad_trigger ()
ICalTime * | i_cal_trigger_get_time ()
void | i_cal_trigger_set_time ()
ICalDuration * | i_cal_trigger_get_duration ()
void | i_cal_trigger_set_duration ()

## Types and Values

| ICalTrigger
struct | ICalTriggerClass

## Object Hierarchy

        GObject
        ╰── ICalObject
            ╰── ICalTrigger

## Description

## Functions

### i_cal_trigger_new_from_int ()

    ICalTrigger *
    i_cal_trigger_new_from_int (const gint reltime);

Creates a ICalTrigger from integer.

#### Parameters

reltime | An integer |

#### Returns

The newly created ICalTrigger.

[transfer full]

Since: 1.0

### i_cal_trigger_new_from_string ()

    ICalTrigger *
    i_cal_trigger_new_from_string (const gchar *str);

Creates a ICalTrigger from a string.

#### Parameters

str | A string |

#### Returns

The newly created ICalTrigger.

[transfer full]

Since: 1.0

### i_cal_trigger_is_null_trigger ()

    gboolean
    i_cal_trigger_is_null_trigger (ICalTrigger *tr);

Checks if a ICalTrigger is a null trigger.

#### Parameters

tr | A ICalTrigger |

#### Returns

1 if yes, 0 if not.

Since: 1.0

### i_cal_trigger_is_bad_trigger ()

    gboolean
    i_cal_trigger_is_bad_trigger (ICalTrigger *tr);

Checks if a ICalTrigger is a bad trigger.

#### Parameters

tr | A ICalTrigger |

#### Returns

1 if yes, 0 if not.

Since: 1.0

### i_cal_trigger_get_time ()

    ICalTime *
    i_cal_trigger_get_time (ICalTrigger *trigger);

Gets the time from ICalTrigger.

#### Parameters

trigger | The ICalTrigger |

#### Returns

The time of ICalTrigger.

[transfer full]

Since: 1.0

### i_cal_trigger_set_time ()

    void
    i_cal_trigger_set_time (ICalTrigger *trigger,
                            ICalTime *time);

Sets the time from ICalTrigger.

#### Parameters

trigger | The ICalTrigger |
time | The time of ICalTrigger |

Since: 1.0

### i_cal_trigger_get_duration ()

    ICalDuration *
    i_cal_trigger_get_duration (ICalTrigger *trigger);

Gets the duration from ICalTrigger.

#### Parameters

trigger | The ICalTrigger |

#### Returns

The duration of ICalTrigger.

[transfer full]

Since: 1.0

### i_cal_trigger_set_duration ()

    void
    i_cal_trigger_set_duration (ICalTrigger *trigger,
                                ICalDuration *duration);

Sets the duration from ICalTrigger.

#### Parameters

trigger | The ICalTrigger |
duration | The duration of ICalTrigger |

Since: 1.0

## Types and Values

### ICalTrigger

    typedef struct _ICalTrigger ICalTrigger;

This is the ICalTrigger instance.

### struct ICalTriggerClass

    struct ICalTriggerClass {
    };

This is the ICalTrigger class.